﻿
$ErrorActionPreference = 'Stop';

$softVersion = '4.1.3'

$osBitness = Get-ProcessorBits

$packageName= 'mrViewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://sourceforge.net/projects/mrviewer/files/v${softVersion}/${packageName}-v${softVersion}-Windows-32.zip"
$url64      = "https://sourceforge.net/projects/mrviewer/files/v${softVersion}/${packageName}-v${softVersion}-Windows-64.zip"
$fileLocation = Join-Path $toolsDir "${packageName}-v${softVersion}-Windows-${osBitness}.zip"

If ( $osBitness -Match "32" )
{
	$programFiles = $env:ProgramFiles
}
Else
{
	$programFiles = $env:ProgramW6432
}

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $programFiles
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64

  softwareName  = 'mrViewer*'

  checksum      = 'A17F7E56D9D32FF69362DB38ADD3AD40901456A27F59217AFE53A0A3C47DCA8E'
  checksumType  = 'sha256'
  checksum64    = '413A6599ADDBA8BC030509AC317B5D1CBBB43E88E719EBD489DF462454401527'
  checksumType64= 'sha256'

  validExitCodes= @(0, 3010, 1641)
  silentArgs   = ''
}

Install-ChocolateyZipPackage @packageArgs

$target = Join-Path $programFiles "${packageName}-v${softVersion}-Windows-${osBitness}/bin"
Install-ChocolateyPath -PathToInstall "${target}" -PathType 'Machine'

$DesktopPath = [Environment]::GetFolderPath("CommonDesktopDirectory")

Install-ChocolateyShortcut -ShortcutFilePath "${DesktopPath}/${packageName}-${osBitness} v${softVersion}.lnk" -TargetPath "${target}/${packageName}.exe"

$StartMenu = [Environment]::GetFolderPath("CommonStartMenu")
$StartPath = Join-Path "$StartMenu" "Programs"

Install-ChocolateyShortcut -shortcutFilePath "${StartPath}/${packageName}-${osBitness} v${softVersion}.lnk" -targetPath "${target}/${packageName}.exe"
